import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export type CheckboxState = 'checked' | 'unchecked' | 'undetermined';
export declare class CheckboxComponent implements ControlValueAccessor {
    label: import("@angular/core").InputSignal<string>;
    state: import("@angular/core").InputSignal<CheckboxState>;
    errorActive: import("@angular/core").InputSignal<boolean>;
    skeletonActive: import("@angular/core").InputSignal<boolean>;
    disabled: import("@angular/core").InputSignal<boolean>;
    name: import("@angular/core").InputSignal<string>;
    value: import("@angular/core").InputSignal<string>;
    innerHTML: import("@angular/core").InputSignal<string>;
    ariaLabel: import("@angular/core").InputSignal<string>;
    changed: import("@angular/core").OutputEmitterRef<{
        checked: boolean;
        value: string;
    }>;
    private _internalChecked;
    private _internalIndeterminate;
    private onChangeFn;
    private onTouchedFn;
    isChecked: import("@angular/core").Signal<boolean>;
    isIndeterminate: import("@angular/core").Signal<boolean>;
    isDisabled: import("@angular/core").Signal<boolean>;
    isSkeleton: import("@angular/core").Signal<boolean>;
    isError: import("@angular/core").Signal<boolean>;
    constructor();
    computedAriaLabel: import("@angular/core").Signal<string>;
    ariaChecked: import("@angular/core").Signal<string>;
    handleChange(event: Event): void;
    handleKeyDown(event: KeyboardEvent): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    classes: import("@angular/core").Signal<string>;
    inputClasses: import("@angular/core").Signal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "lib-checkbox", never, { "label": { "alias": "label"; "required": false; "isSignal": true; }; "state": { "alias": "state"; "required": false; "isSignal": true; }; "errorActive": { "alias": "errorActive"; "required": false; "isSignal": true; }; "skeletonActive": { "alias": "skeletonActive"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "name": { "alias": "name"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "innerHTML": { "alias": "innerHTML"; "required": false; "isSignal": true; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; "isSignal": true; }; }, { "changed": "changed"; }, never, never, true, never>;
}
